.error{
    color:red;
    font-size: medium;
    text-align: left;
    margin:5px 0;
    display: inherit;
}

.social_icon{
    padding: 1rem;
    font-size: 16px;
    color:white !important;
}

.social_icon:hover{
    color:#7751ea !important;
}

.footer_area .footer_social a {
    padding: 0px;
}

.info-box,.contact-box{
    padding: 0.75em 1.25em;
    border:1px solid #7751ea;
    border-radius: 10px;
    text-align: center;
    margin:10px auto;
    width: 100%;
}

.info-box:hover{    
    background-color: rgba(255,255,255,.8);      
}

.info-icon{
    color:#7751ea;
    font-size: 2rem;
}

.info-content{    
    padding:.50rem 0;
    font-family:"Rubik", sans-serif;
}

.info-content a {
    color:#7751ea;
    font-size: 1rem;
}

.contact-title{
    font-size: 20px;
    color:#7751ea;
    margin: 15px auto;
}

.contact-form{
    padding: 15px 5px;
}

.contact-label{
    color: #7751ea;
    text-align: left;
}

.contact-form .form-control{
    border:none;
    outline: none;
    border-bottom: 1px solid #7751ea;
    background-color: transparent;
    border-radius: 0;
}

.contact-form .form-control:focus{
    border-width:2px;
    outline: none;
    box-shadow: none;
}

.contact-form .form-control::-webkit-input-placeholder {
    color: #777777; 
    opacity: 0.6; 
}

.banner_content #typed,
.banner_content .typed-cursor {
  font-size: 24px;
  color: #000000;
  margin-bottom: 35px;
  font-weight: 500;
  line-height: 1.2;
  text-transform: uppercase;
  font-family: "Rubik", sans-serif;
}

.typed-cursor{
    color:#777777;
}

.skill-container,.tags-container{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-content: center;
    gap:10px;
    flex-wrap: wrap;
    
}

.skill,.tag{
    border:1px solid grey;
    padding:8px 14px;
    flex-grow: 1;
    text-align: center;
}

.skill:hover,.tag:hover{
    color:#000000;
    border:1px solid #000000;
}

.service-icon{
    margin-bottom: 37px;
    color: #7536d7;
}

.project-description{
    padding: 12px;
}

/* Timeline CSS Start*/

.timeline_area {
    position: relative;
    z-index: 1;
}

.single-timeline-area {
    position: relative;
    z-index: 1;
    /* padding-left: 180px; */
}

/* @media only screen and (max-width: 786px) {
    .single-timeline-area {
        padding-left: 75px;
    }
} */

.single-timeline-area .timeline-date {
    position: absolute;
    width: 180px;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 1;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -ms-grid-row-align: center;
    align-items: center;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    padding-right: 60px;
}

@media only screen and (max-width: 786px) {
    .single-timeline-area .timeline-date {
        width: 75px;
    }
}

.single-timeline-area .timeline-date::after {
    position: absolute;
    width: 3px;
    height: 100%;
    content: "";
    background-color: #bea8ea;
    top: 0;
    right: 30px;
    z-index: 1;
}

.single-timeline-area .timeline-date::before {
    position: absolute;
    width: 11px;
    height: 11px;
    border-radius: 50%;
    background-image: linear-gradient(to right, #4458dc 0%, #854fee 100%), radial-gradient(circle at top left, #4458dc, #854fee);
    content: "";
    top: 50%;
    right: 26px;
    z-index: 5;
    margin-top: -5.5px;
}

.single-timeline-area .timeline-date p {
    margin-bottom: 0;
    color: #020710;
    font-size: 13px;
    text-transform: uppercase;
    font-weight: 500;
}

.single-timeline-area .single-timeline-content {
    position: relative;
    z-index: 1;
    padding: 25px;
    border-radius: 6px;
    margin-bottom: 15px;
    margin-top: 15px;
    -webkit-box-shadow: 0 0.25rem 1rem 0 rgba(47, 91, 234, 0.125);
    box-shadow: 0 0.25rem 1rem 0 rgba(47, 91, 234, 0.125);
    border: 1px solid #ebebeb;
    height: 210px;
}

@media only screen and (max-width: 786px) {
    .single-timeline-area .single-timeline-content {
        padding: 20px;
    }
}

.single-timeline-area .single-timeline-content .timeline-icon {
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
    width: 30px;
    height: 30px;
    background-image: linear-gradient(to right, #4458dc 0%, #854fee 100%), radial-gradient(circle at top left, #4458dc, #854fee);
    -webkit-box-flex: 0;
    -ms-flex: 0 0 30px;
    flex: 0 0 30px;
    text-align: center;
    max-width: 30px;
    border-radius: 50%;
    margin-right: 15px;
}

.single-timeline-area .single-timeline-content .timeline-icon i {
    color: #ffffff;
    line-height: 30px;
}

.single-timeline-area .single-timeline-content .timeline-text h6 {
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
}

.single-timeline-area .single-timeline-content .timeline-text p {
    font-size: 13px;
    margin-bottom: 0;
}

.single-timeline-area .single-timeline-content:hover .timeline-icon,
.single-timeline-area .single-timeline-content:focus .timeline-icon {
    background-color: #020710;
}

.single-timeline-area .single-timeline-content:hover .timeline-text h6,
.single-timeline-area .single-timeline-content:focus .timeline-text h6 {
    color: #3f43fd;
}

/*Timeline CSS End*/
